> For the complete documentation index, see [llms.txt](https://docs.secure-contacts.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.secure-contacts.com/documentation/app-configuration-policy-name-values-for-sca/sca-configuration-aad-filters-and-groups.md).

# SCA Configuration - AAD filters

### **SecContacts.AADFilters** <a href="#seccontacts.aadfilters" id="seccontacts.aadfilters"></a>

This setting is for customizing the querying parameters for AZURE AD contacts.

Secure Contacs App is querying **AZURE AD via directory.read.all** and **will use any AAD account as contact which contains at least an displayname and a bussiness or mobile phonenumber**.

Per default it ignores all "external AAD" accounts which have a UPN containing "#EXT#@" as well as the administrator account.

This is basically an "all in" with some default exceptions. With AADFilters you can extend these exceptions.

* Name: `SecContacts.AADFilters`
* Value: `[{"property":"<aad-property>", "operator":"<target-operator>", "value":"<target-value>"}]`

The Value property is a JSON Array of `property` `operator` `value` trio.\
You can add one or multiple filter here.

Replace **\<aad-property>** with the AAD property you want to for filter for

* e.g. `userPrincipalName` or `displayName`

Replace **\<target-operator>** with an operator

* e.g. `contains` or `equals` or `equalsAny`

Replace **\<target-value>** with the value you want to for filter for

* e.g. `administrator` or `johndoe` or `#EXT#@`

When using the `equalsAny` operator, provide a list of **target-values** as one single string with `;` as delimiter.

* e.g. `administrator;johndoe;someotheruser`

Currently only **userPrincipalName** and **displayName** are supported as **aad-property**.<br>


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.secure-contacts.com/documentation/app-configuration-policy-name-values-for-sca/sca-configuration-aad-filters-and-groups.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
